import com.mathworks.toolbox.javabuilder.examples.TemperatureModule;
import com.mathworks.toolbox.javabuilder.examples.TemperatureCellArray;
import com.mathworks.toolbox.javabuilder.examples.TemperatureStruct;

/* Copyright 2006, The MathWorks, Inc. */

public class tester
{
	public static void main(String args[])
	{


	//scalar input specified as double
	double x0 = 36;

   //two-dimensional input specified as double[][]
	double[][] x1 = {{1.0,2.0},{3.0,4.0, 5.0}};
	
   //two-dimensional jagged input specified as custom-defined TemperatureCellArray
	double[][] temperaturesJagged = {{40},{41,42},{43,44,45}};
	TemperatureCellArray cell = new TemperatureCellArray(temperaturesJagged);			

   //two-dimensional jagged input specified as custom-defined TemperatureStruct
	double[][] temperaturesNonJagged = {{1},{3,4},{5,6,7}};
	TemperatureStruct struct = new TemperatureStruct(temperaturesNonJagged);			

    try 
    {    	
		TemperatureModule tc = new TemperatureModule();
	
		System.out.println("Calling for scalar input");			
		Object ret = null;
		ret = tc.convertTemp(x0, "f");
		output(ret);
		
		System.out.println("Calling for matrix input");			
		ret = tc.convertTemp(x1, "f");
		output(ret);
		
		System.out.println("Calling for cell input");
		TemperatureCellArray retCell = (TemperatureCellArray)tc.convertTemp(cell, "f");
		output(retCell.getTemperatures());
				
		System.out.println("Calling for struct input");
		TemperatureStruct retStruct = (TemperatureStruct)tc.convertTemp(struct, "f");
		
		Object structTemps = retStruct.getTemperatures();
		
		if(structTemps instanceof TemperatureCellArray)
		{
			TemperatureCellArray tempCell = (TemperatureCellArray)(structTemps);
			output(tempCell.getTemperatures());
		}
		
		else
		{
		    output(structTemps);
		}

    }
    catch( Exception e ) 
    {
       e.printStackTrace();
    }
  }
  
  	public static void output(Object out)
			
    {
		if(out instanceof double[][])
		{
			double[][]x = (double[][])out;
			int dim1 = x.length;
			int dim2;
			
			for(int i=0; i<dim1; i++)
			{
			   dim2 = x[i].length;

			   for(int j=0; j<dim2; j++)
			   {
			   	 System.out.println("(" + i + "," + j + ") is " + x[i][j]);
			   }
			}				
		}
	}	

}